package com.gic.haoban.manage.service.entity;

import java.io.Serializable;
import java.util.Date;

public class TabHaobanApplicationTemplate implements Serializable {
    private String applicationTemplateId;

    private String applicationTemplateName;

    private Integer statusFlag;

    private Integer defaultFlag;

    private Date createTime;

    private Date updateTime;

    private static final long serialVersionUID = 1L;

    public String getApplicationTemplateId() {
        return applicationTemplateId;
    }

    public void setApplicationTemplateId(String applicationTemplateId) {
        this.applicationTemplateId = applicationTemplateId == null ? null : applicationTemplateId.trim();
    }

    public String getApplicationTemplateName() {
        return applicationTemplateName;
    }

    public void setApplicationTemplateName(String applicationTemplateName) {
        this.applicationTemplateName = applicationTemplateName == null ? null : applicationTemplateName.trim();
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Integer getDefaultFlag() {
        return defaultFlag;
    }

    public void setDefaultFlag(Integer defaultFlag) {
        this.defaultFlag = defaultFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}